HappHapp Docs
Chats

Search chats by fromName / toName / phoneNumber

GET
/api/chats/search

Substring search over chat metadata within the caller's company scope. Cursor-paginated by lastMessageAt DESC. Query must be 3..100 characters.

Authorization

access-token
X-Access-Token<token>

Enter your Access Token (format: happ_...)

In: header

Query Parameters

q*string

Search query (3..100 chars)

companyId?string

Restrict to a specific company (must be in access-token scope)

messenger?string

Value in

  • "instagram"
  • "telegram"
  • "telegram-bot"
  • "messenger"
  • "whatsapp"
  • "whatsapp-business"
  • "viber-echat"
  • "custom-messenger"
  • "widget"
  • "playground"
cursor?string

Opaque cursor from previous response

limit?number

Page size (1..100)

Default20

Response Body

curl -X GET "https://example.com/api/chats/search?q=string"
Empty
Empty